# Figure 3: To generate the plot, select all and press command-enter (on mac).

# Keeping order of Table 1 from the 6-16 draft
f14species <- c(
"mel",
"yak",
"sim",
"vir",
"ere",
"sec",
"ame",
"hyd",
"pse")

# heterochromatin percentages from Bosco 2007 table 5.  Note that Americana and Hydei are 
# the DAPI results from table 5.
f14het <- c(
.24,
.23,
.17,
.44,
.09,
.24,
.26,
.22,
.14)

f14inversions <- c(
TRUE,
TRUE,
FALSE,
FALSE,
FALSE,
FALSE,
TRUE,
TRUE,
TRUE)

# data copied from table 1 of the 6-20 draft
f14distances <- c(
11.33,
7.48,
6.15,
7.17,
5.93,
7.81,
6.47,
4.74,
5.67)

f14colors <- rep("Orange", 9)

for(i in 1:9) {
	if(f14inversions[i]) {
		f14colors[i] <- "Blue"
	}
}


f14regression <- lm(f14distances ~ f14het)
f14correl <- cor(f14het, f14distances)

plot(-1, -1, main="Heterochromatin vs Dot-dot Distances", xlim=c(0,0.5), ylim=c(3,13), xlab="Heterochromatin (Proportion of genome)", ylab="Mean Dot-Dot Distance (µm)", frame=FALSE)
points(f14het, f14distances, col=f14colors, pch=18, cex=1.3)
abline(f14regression)
text(f14het, f14distances + 0.3, f14species, col = f14colors)
text(0.40, 12, sprintf("y = %.1f + %.3fx\nr = %.3f", f14regression$coefficients[1], f14regression$coefficients[2], f14correl))

# calculate correlations within inversion type - probably don't need to report these because the number of species is so small

f14hasinvhet <- f14het[f14inversions]
f14noinvhet <- f14het[!f14inversions]

f14hasinvdist <- f14distances[f14inversions]
f14noinvdist <- f14distances[!f14inversions]

cor(f14hasinvhet, f14hasinvdist)
cor(f14noinvhet, f14noinvdist)

summary(f14regression)